summaryrefslogtreecommitdiff
path: root/conform/run-conformtest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'conform/run-conformtest.sh')
-rw-r--r--conform/run-conformtest.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/conform/run-conformtest.sh b/conform/run-conformtest.sh
new file mode 100644
index 0000000000..9600524a8d
--- /dev/null
+++ b/conform/run-conformtest.sh
@@ -0,0 +1,30 @@
+#! /bin/sh
+
+objpfx="$1"
+perl="$2"
+cc="$3"
+includes="$4"
+
+standards=("ISO" "ISO99" "ISO11" "POSIX" "XPG3" "XPG4" "UNIX98"
+ "XOPEN2K" "XOPEN2K8" "POSIX2008")
+standards=("POSIX" "XPG3" "XPG4" "UNIX98"
+ "XOPEN2K" "XOPEN2K8" "POSIX2008")
+
+exitval=0
+> ${objpfx}run-conformtest.out
+for s in ${standards[*]}; do
+ echo -n $s...
+ e=0
+ if ! $perl conformtest.pl --cc="$cc" --flags="$includes" --standard=$s > ${objpfx}conform-$s.out; then
+ e=1
+ fi
+ printf "\n%s\n" $s >> ${objpfx}run-conformtest.out
+ tail -n 4 ${objpfx}conform-$s.out >> ${objpfx}run-conformtest.out
+ echo
+ if [ $e -ne 0 ]; then
+ tail -n 3 ${objpfx}conform-$s.out
+ exitval=1
+ fi
+done
+
+exit $exitval